## org.apache.axis.wsdl.symbolTable
Class MessageEntry

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.MessageEntry

public class MessageEntry
extends SymTabEntry

This class represents a WSDL message. It simply encompasses the WSDL4J Message object so it can reside in the SymbolTable.

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`MessageEntry(javax.wsdl.Message message)` Construct a MessageEntry from a WSDL4J Message object.

Method Summary
`javax.wsdl.Message` `getMessage()` Get this entry's Message object.

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageEntry

    public MessageEntry(javax.wsdl.Message message)

  Construct a MessageEntry from a WSDL4J Message object.

Parameters:
  `message` -

Method Detail

### getMessage

    public javax.wsdl.Message getMessage()

  Get this entry's Message object.

  Returns:

Copyright © 2005 Apache Web Services Project. All Rights Reserved.